#include<opencv2/opencv.hpp>
#include<iostream>
#include <time.h>
#include <time.h>
 
using namespace std;
using namespace cv;
 
void drawText(Mat & image, char* time);
 
int main(int argc,char **argv)
{
    VideoCapture capture(0);
    namedWindow("myCamera",CV_WINDOW_AUTOSIZE);
    cv::Point p = cv::Point(300, 20);
 
    while(true)
    {    
        Mat frame;
        capture>>frame;
        
				time_t rawtime;
        time(&rawtime);
        char* time = ctime(&rawtime);
//        cout<< time << endl;
        drawText(frame, time);
        imshow("myCamera",frame);
        waitKey(30);
    }
    return 0;
}
 
void drawText(Mat & image, char* time)
{
    putText(image, time,
            Point(20, 50),
            FONT_HERSHEY_COMPLEX, 1, // font face and scale
            Scalar(255, 255, 255), // white
            1, LINE_AA); // line thickness and type
}